aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-check-views
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-check-views')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-check-views17
1 files changed, 17 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-check-views b/framework/src/onos/tools/test/bin/onos-check-views
new file mode 100755
index 00000000..421de907
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-check-views
@@ -0,0 +1,17 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Checks whether all and only the ONOS apps configured in ONOS_APPS are active.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
+aux=/tmp/stc-$$.log
+trap "rm -f $aux 2>/dev/null" EXIT
+
+onos ${1:-$OCI} "onos:ui-views" > $aux
+cat $aux
+
+[ $# -gt 0 ] && shift
+
+grep "${@:-topo}" $aux \ No newline at end of file